Skip to main content
GET
/
api
/
v1
/
admin
/
kyc
/
{kycId}
Get KYC review detail
curl --request GET \
  --url https://app.mlm-platform.com/api/v1/admin/kyc/{kycId} \
  --header 'x-tenant-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user": {},
  "status": "<string>",
  "provider": "<string>",
  "providerApplicantId": "<string>",
  "rejectionReason": "<string>",
  "verifiedAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "documents": [
    {}
  ],
  "auditLogs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "action": "<string>",
      "actorId": "<string>",
      "details": {},
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

x-tenant-api-key
string
header
required

Tenant API key for authentication. Keys are scoped to specific environments (LIVE or SANDBOX). Obtain keys from the admin dashboard.

Path Parameters

kycId
string<uuid>
required

Response

KYC detail

id
string<uuid>
userId
string<uuid>
user
object
status
string
provider
string
providerApplicantId
string | null
rejectionReason
string | null
verifiedAt
string<date-time> | null
createdAt
string<date-time>
updatedAt
string<date-time>
documents
object[]
auditLogs
object[]